%define rversion 1.10
%define apache_version 1.3.33

Summary: 	Apache DoS Evasive Maneuvers Module
Name: 		apache1-mod_dosevasive
Version: 	%{apache_version}_%{rversion}
Release: 	1mdk
Group: 		System/Servers
License: 	Apache License
URL:		http://www.nuclearelephant.com/projects/dosevasive/
Source0: 	http://www.nuclearelephant.com/projects/dosevasive/mod_dosevasive_%{rversion}.tar.bz2
Source1: 	apache1-mod_dosevasive.conf
Prereq:		apache1 = %{apache_version}
Prereq:		apache1-base >= %{apache_version}
BuildRequires:	apache1-devel 
BuildRoot:	%{_tmppath}/%{name}-root

%description
A module for Apache 1.3 giving Apache the ability to fend off
request-based DoS attacks conserving your system resources and
bandwidth. This new tool maintains an internal table of IP
addresses and URLs and will deny repeated requests for the same
URL from the same IP address, blacklisting the address for
10-seconds per extraneous request. Obviously, this module will
not fend off attacks consuming all available bandwidth or more
resources than are available to send 403's, but is very successful
in typical flood attacks or cgi flood attacks. 

%prep

%setup -q -n mod_dosevasive
rm -rf .libs

%build
%{_sbindir}/apache1-apxs -L%{_libdir} -lgdbm -lpthread \
    -lm -lcrypt -ldb -lmm -ldl -c mod_dosevasive.c

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/apache1/modules.d
install -d %{buildroot}%{_libdir}/apache1

install -m0755 mod_dosevasive.so %{buildroot}%{_libdir}/apache1/
install -m0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/apache1/modules.d/18_mod_dosevasive.conf

%post
if [ -f %{_var}/lock/subsys/apache1 ]; then
    %{_initrddir}/apache1 restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/apache1 ]; then
        %{_initrddir}/apache1 restart 1>&2
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%config(noreplace) %{_sysconfdir}/apache1/modules.d/18_mod_dosevasive.conf
%attr(0755,root,root) %{_libdir}/apache1/mod_dosevasive.so

%changelog
* Mon Jun 06 2005 Oden Eriksson <oeriksson@mandriva.com> 1.3.33_1.10-1mdk
- renamed to apache1-mod_dosevasive and reworked it quite a bit

* Tue Feb 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.10-2mdk
- spec file cleanups, remove the ADVX-build stuff

* Tue Jan 18 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.10-1mdk
- 1.10
- cleanups

* Sun Nov 21 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.9-4mdk
- built for apache 1.3.33

* Tue Jul 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.9-3mdk
- remove redundant provides

* Thu Jun 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.9-2mdk
- built for apache 1.3.31

* Sun Nov 09 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.9-1mdk
- 1.9
- built for apache 1.3.29

* Tue Sep 16 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.7-2mdk
- rebuild with apache 1.3.28

* Sat Aug 23 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.7-1mdk
- 1.7

* Thu Feb 13 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.4-2mdk
- new macros from ADVX-build

* Sat Jan 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.4-1mdk
- 1.4
- rebuilt against rebuilt buildrequires
- follow spec file design as in main

* Fri Nov  8 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.2-3mdk
- Rebuild for Cooker

* Fri Nov  8 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3-2mdk
- Rebuild with new apache
- Fix module location (that's "apache-extramodules", not just "apache")

* Wed Oct 30 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3-1mdk
- new version

* Wed Oct 30 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.2-2mdk
- don't ship unused patches...

* Wed Oct 30 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.2-1mdk
- initial cooker contrib
